<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet 
version="2.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns="http://www.w3.org/1999/xhtml"
xmlns:xml="http://www.w3.org/XML/1998/namespace"
xmlns:dc="http://purl.org/dc/elements/1.1/" 
xmlns:dcx="http://purl.org/dc/terms/"
xmlns:xsd="http://www.w3.org/2001/XMLSchema#"
xmlns:ctag="http://commontag.org/ns#"
xmlns:foaf="http://xmlns.com/foaf/0.1/"
xmlns:og="http://ogp.me/ns#"
xpath-default-namespace="http://www.w3.org/1999/xhtml"> 

<xsl:output 
method="text" 
indent="yes"
encoding="utf-8"/>
<!-- ========================== Paramètres =========================== -->
<xsl:param name="id_file">unknown</xsl:param>
<xsl:param name="mode">normal</xsl:param>
<!-- ========================== Variables =========================== -->
<xsl:variable name="sommaire" select="//*[@role = 'heading']"/>
<xsl:variable name="section" select="//*[attribute::id]"/>
<xsl:variable name="content" select="//*[@class='content']"/>
<xsl:variable name="copyright" select="/html/head/meta[@name='copyright']/@content"/>
<xsl:variable name="lang" select="/html/@xml:lang"/>
<xsl:variable name="tags.nb" select="count(//*[attribute::data-tag])"/>
<!-- ========================== Règles =========================== -->

<!-- ========================== Template principal =========================== -->

<xsl:template match="/">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="head">
<xsl:if test="count(meta[@name = 'keywords' and @typeof = 'ctag:Tag']) = 0">ERROR : Pas d'éléments 'keywords'</xsl:if>	
<xsl:if test="count(meta[@name = 'copyright' and @content = '']) = 0">WARNING : Élement 'copyright' incorrect</xsl:if>	
<xsl:if test="count($sommaire) = 0">ERROR : Pas de titres</xsl:if>	

</xsl:template>

<xsl:template match="body">
</xsl:template>
<!-- ========================== actions par défaut =========================== -->
<xsl:template match="text()"/>
<xsl:template match="text()" mode="article"/>
</xsl:stylesheet>
