#!/bin/sh
# Conversion du fichier source XML en publication HTML standard
#------------------------------------------------------------------
# Fonctions
#------------------------------------------------------------------
usage () {
echo "$0 -f [file]"
	
}
#------------------------------------------------------------------
# Variables
#------------------------------------------------------------------
SRC_DIR="./sources"
PUB_DIR="./pubs"
SAXON="/…/Programmes/saxon/saxon9he.jar"
#------------------------------------------------------------------
# Programme
#------------------------------------------------------------------
# Gestion des options
while getopts ":f:tc" option 
do 
case $option in 

f)
SRC_FILE=${OPTARG}
;; 

t)
MODE="test"
;; 

c)
MODE="compat"
;; 

\?) 
usage
;;

*)
usage
echo "test"
exit 1
;;

esac
done 



# Vérifications
[ ! -f ${SRC_DIR}/${SRC_FILE} ] && echo "ERREUR : fichier ${SRC_FILE} inexistant" && exit 1 
[ -z ${SRC_FILE} ] && echo "ERREUR : z" && usage && exit 1 
[ "${SRC_FILE:-none}" = "none" ] && echo "ERREUR : pas de fichier renseigné" && usage && exit 1 
TGT_FILE=$(echo ${SRC_FILE} | sed 's/.xml/.html/g')
ID_FILE=$(echo ${SRC_FILE} | sed 's/.xml//g')

# Extraction des parties
grep '<link rel="up"' ${SRC_DIR}/*.xml | grep 'title="' | awk -F':' '{print $2}' | sort | uniq > parties.xml

# Génération du fichier XHTML
echo "Conversion ${SRC_FILE} --> ${TGT_FILE}"
[ "${MODE:-normal}" = "compat" ] && {
echo "Mode : compatibilité"
cp ${SRC_DIR}/${SRC_FILE} ${PUB_DIR}/xhtml/${TGT_FILE}
} 

[ "${MODE:-normal}" != "compat" ] && {
java -jar ${SAXON} -s:${SRC_DIR}/${SRC_FILE} -xsl:source2html.xsl -o:${PUB_DIR}/xhtml/${TGT_FILE} id_file="${ID_FILE:-unkwon}" mode="${MODE:-normal}"
}


exit 0
