<?xml version="1.0" encoding="utf-8" ?>

<xsl:stylesheet 
version="2.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns="http://www.w3.org/1999/xhtml"
xmlns:xml="http://www.w3.org/XML/1998/namespace"> 

<xsl:output 
method="xml" 
indent="no"
encoding="utf-8"/>
<!-- ========================== Variables =========================== -->
<xsl:variable name="tags.label" select="distinct-values(/tags/tag/@label)"/>
<xsl:variable name="tags" select="/tags/tag"/>
<!-- ========================== Règles =========================== -->


<!-- ========================== Template principal =========================== -->


<xsl:template match="/">
<html xml:lang="fr" role="document" class="article">
<head>
<title>Tags</title>
<!-- CSS -->
<link rel="stylesheet" type="text/css" href="../commons/css/v2.1/default.css"/>


<meta http-equiv="Content-Type" content="text/xhtml+xml;charset=utf-8"/>
<meta charset="utf-8"/>
<meta name="content-language" content="fr"/>
<meta name="author" content="leenuts"/>
<meta name="subject" content="Recherche par tag"/>
<meta name="description" content="Recherche par tag"/>
<meta name="keywords" content="recherche, tag"/> 
<meta name="revised" content="2013-06-28"/>
</head>

<body>

<header>
<nav><a href="nav.html" title="Sommaire"><img src="../commons/image/png/200px-High-contrast-bookmark-view.svg.png" width="35px" height="35px"/><p>Plan du site</p></a><a href="index.html" title="Sommaire"><img src="../commons/image/png/200px-Home_Icon.svg.png" width="35px" height="35px"/><p>Index</p></a><a href="comments.sh" title="déposer un commentaire"><img src="../commons/image/png/200px-High-contrast-help-faq.svg.png" width="35px" height="35px"/><p>Commentaires</p></a><a href="contacts.html" title="envoyer un message à l'administrateur"><img src="../commons/image/png/200px-High-contrast-emblem-mail.svg.png" width="35px" height="35px"/><p>Contact</p></a><a href="site.param.sh" title="paramétrage du site"><img src="../commons/image/png/200px-High-contrast-emblem-system.svg.png" width="35px" height="35px"/><p>Paramètres</p></a></nav>
</header>

<div class="articles">

<article>

<header>
<hgroup>
<h1>Tags</h1>
<p>Tous les tags</p>
</hgroup>
</header>


<section>
<xsl:for-each select="$tags.label">
<xsl:sort select="." data-type="text" order="ascending"/>
<xsl:variable name="current.id" select="."/>
<xsl:variable name="tag" select="$tags[ @label = $current.id ]"/>
<xsl:variable name="tag.label" select="$tag[1]/@label"/>

<section>
<h2><xsl:value-of select="$tag.label"/></h2>
<ul>
<xsl:for-each select="$tag">
<li><p><strong><a href="{@href}"><xsl:value-of select="title"/></a></strong><xsl:text> : </xsl:text> <i><xsl:value-of select="desc"/></i></p></li>	
</xsl:for-each>
</ul>
</section>
</xsl:for-each>
</section>



</article>
</div>

<footer role="contentinfo">
<section class="info-article">
<p>Ce serveur fonctionne à l'énergie renouvelable</p>
</section>

<section class="info-generale">
<p><a href="http://flattr.com/thing/1647800/Guide-multimdia-de-la-sexualit" target="_blank"><img src="http://api.flattr.com/button/flattr-badge-large.png" alt="Flattr this" title="Flattr this" border="0" /></a></p>
</section>
</footer>


</body>
</html>
</xsl:template>
</xsl:stylesheet>
