#!/bin/sh
#Affichage des messages déposés
#------------------------------------------------------------------
# Fonctions
#------------------------------------------------------------------
. app_defs.sh
. app_xslt.sh


usage () {
echo "Usage :"
echo "-a : tout (all)"
echo "-f : source + nom fichier"
}

#------------------------------------------------------------------
# Variables
#------------------------------------------------------------------

FINAL_FILE=tags.xml
FINAL_HTML=tags.html
#------------------------------------------------------------------
# Programme
#------------------------------------------------------------------
ALL_MODE="none"

# Gestion des options
while getopts ":af:" option 
do 
case $option in 

a)
ALL_MODE="yes"
;; 

f)
ALL_MODE="no"
url=${OPTARG}
;; 

\?) 
usage
;;

esac
done 

#echo ${TAG_FILE}

[ "${ALL_MODE}" = "none" ] && exit 1

# Conversion de tous les fichiers
[ "${ALL_MODE}" = "yes" ] && {
rm -f ${TEMP_DIR}/*.tags.xml

grep "data-tag" *.html | awk -F":" '{print $1}' | sort | uniq | while read url
do
echo "Extraction des tags du fichier ${url}"

url_hash="$(echo ${url} | md5 | awk '{print $1}')"
TAG_FILE="${url_hash}.tags.xml"

xslt -s:${url} -xsl:${XSLT_DIR}/xhtml.extract.tags.xsl -o:${TEMP_DIR}/${TAG_FILE} url="${url}"	
done
	
}

# Conversion d'un seul fichier
[ "${ALL_MODE}" = "no" ] && {
echo "Extraction des tags du fichier ${url}"

url_hash="$(echo ${url} | md5 | awk '{print $1}')"
TAG_FILE="${url_hash}.tags.xml"

xslt -s:${url} -xsl:${XSLT_DIR}/xhtml.extract.tags.xsl -o:${TEMP_DIR}/${TAG_FILE} url="${url}"	
}

# création de la base finale
cat ${TEMP_DIR}/*.tags.xml | sort | uniq > ${FINAL_FILE}

# création du fichier XML de tags
echo '<?xml version="1.0" encoding="utf-8"?>' > ${TEMP_DIR}/${FINAL_FILE}
echo '<tags>' >> ${TEMP_DIR}/${FINAL_FILE}
cat ${TEMP_DIR}/*.tags.xml | sort | uniq >> ${TEMP_DIR}/${FINAL_FILE}
echo '</tags>' >> ${TEMP_DIR}/${FINAL_FILE}

# Génération du fichier XHTML
xslt -s:${TEMP_DIR}/${FINAL_FILE} -xsl:${XSLT_DIR}/tags2xhtml.xsl -o:${FINAL_HTML}


exit 0
