<?xml version="1.0" encoding="utf-8" ?>

<xsl:stylesheet 
version="2.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"

xmlns:xml="http://www.w3.org/XML/1998/namespace"
xpath-default-namespace="http://www.w3.org/1999/xhtml"> 

<xsl:output 
method="xml" 
indent="no"
encoding="utf-8"
omit-xml-declaration="yes"/>
<!-- ========================== Paramètres =========================== -->
<xsl:param name="url">none</xsl:param>
<!-- ========================== Variables =========================== -->
<xsl:variable name="description" select="/html/head/meta[@name='description']/@content"/>
<xsl:variable name="title" select="/html/head/title"/>
<!-- ========================== Template principal =========================== -->

<!--  Extraction des tags visibles -->
<xsl:template match="span[ @typeof='ctag:Tag' and @property='ctag:label' and not(exists(@content)) ]">
<xsl:variable name="tag.id" select="@data-tag"/>
<xsl:variable name="tag.label" select="."/>

<tag id="{$tag.id}" label="{$tag.label}" href="{$url}">
<title><xsl:value-of select="$title"/></title>
<desc><xsl:value-of select="$description"/></desc>
</tag><xsl:text>
</xsl:text>
</xsl:template>

<!--  Extraction des tags invisibles -->
<xsl:template match="span[ @typeof='ctag:Tag' and @property='ctag:label' and exists(@content) ]">
<xsl:variable name="tag.id" select="@data-tag"/>
<xsl:variable name="tag.label" select="@content"/>

<tag id="{$tag.id}" label="{$tag.label}" href="{$url}">
<title><xsl:value-of select="$title"/></title>
<desc><xsl:value-of select="$description"/></desc>
</tag><xsl:text>
</xsl:text>
</xsl:template>


<!--  Extraction des tags visibles -->
<xsl:template match="a[ @typeof='ctag:Tag' and @property='ctag:label' and not(exists(@content)) ]">
<xsl:variable name="tag.id" select="@data-tag"/>
<xsl:variable name="tag.label" select="."/>
<tag id="{$tag.id}" label="{$tag.label}" href="{$url}">
<title><xsl:value-of select="$title"/></title>
<desc><xsl:value-of select="$description"/></desc>
</tag><xsl:text>
</xsl:text>
</xsl:template>

<!--  Extraction des tags dans les métadonnées -->
<xsl:template match="meta[ @typeof='ctag:Tag' and @property='ctag:label' and exists(@content) ]">
<xsl:variable name="tag.id" select="@data-tag"/>
<xsl:variable name="tag.label" select="@content"/>
<tag id="{$tag.id}" label="{$tag.label}" href="{$url}">
<title><xsl:value-of select="$title"/></title>
<desc><xsl:value-of select="$description"/></desc>
</tag><xsl:text>
</xsl:text>
</xsl:template>

<xsl:template match="meta[ @typeof='ctag:Tag' and @property='ctag:label' and not(exists(@content)) ]">
<xsl:variable name="tag.id" select="@data-tag"/>
<xsl:variable name="tag.label" select="."/>
<tag id="{$tag.id}" label="{$tag.label}" href="{$url}">
<title><xsl:value-of select="$title"/></title>
<desc><xsl:value-of select="$description"/></desc>
</tag><xsl:text>
</xsl:text>
</xsl:template>

<xsl:template match="text()"/>
</xsl:stylesheet>
